%define compatv 72
%{?compatv:%define compatfv 7.2}

%define _phplib %{_libdir}/php%{?compatv}
%define _extdir %{_phplib}/extensions
%define modname geoip
%define modfullname mod_%{modname}

Summary: php %{?compatfv} GeoIP extension
Summary(ko): php %{?compatfv} GeoIP 확장
Name: php%{?compatv}-%{modname}
Version: 2.0.1
Release: 1%{?dist}
Epoch: 1
Group: Development/Languages
License: PHP
URL: https://github.com/OOPS-ORG-PHP/mod_geoip
Source0: https://github.com/OOPS-ORG-PHP/mod_geoip/archive/%{version}.tar.gz#/%{modfullname}-%{version}.tar.bz2

BuildRoot: /var/tmp/%{name}-root
Requires: php%{?compatv}api GeoIP
BuildRequires: php%{?compatv}-devel GeoIP-devel

%description
This extension is php extension of Maxmind's GeoIP library. But,
It is not same php geoip extension of Maxmind (http://maxmind.com)

It has same functions, but has different code with maxmind.com's

%prep
%setup -q -n %{modfullname}-%{version}

%build

/usr/bin/phpize%{?compatv}

CFLAGS="${RPM_OPT_FLAGS}"
./configure

%{__make} %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_extdir}

%{__install} -m755 modules/%{modname}.so %{buildroot}%{_extdir}/%{modname}.so

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php%{?compatv}.d/{%{!?compatv:apache},cli,fpm}
for i in %{!?compatv:apache} cli fpm
do
	%{__cat} > %{buildroot}%{_sysconfdir}/php%{?compatv}.d/$i/%{modname}.ini <<EOF
extension = %{modname}
EOF
done

%clean
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_extdir}/%{modname}.so
%{!?compatv:%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/apache/%{modname}.ini}
%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/cli/%{modname}.ini
%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/fpm/%{modname}.ini

%changelog
* Sat Feb 10 2018 JoungKyun.Kim <hostmaster@oops.org> 1:2.0.1-1%{?dist}
- update 2.0.1 for PHP72

* Sat Jan  9 2016 JoungKyun.Kim <hostmaster@oops.org> 1:2.0.1-1%{?dist}
- update 2.0.1 for PHP7

* Tue Nov 10 2015 JoungKyun.Kim <hostmaster@oops.org> 1:1.1.2-1%{?dist}
- rebuilt on AN3

* Sat Dec 15 2012 JoungKyun.Kim <hostmaster@oops.org> 10:1.1.2-1%{?dist}
- update 1.1.2 for PHP 5.4

* Tue Feb 28 2012 JoungKyun.Kim <http://oops.org> 1:1.1.1-1%{?dist}
- first packaged

